import random

from edmond.plugin import Plugin


class RandomPlugin(Plugin):

    REQUIRED_CONFIGS = ["commands", "separator"]

    def __init__(self, bot):
        super().__init__(bot)

    def on_pubmsg(self, event):
        if not self.should_handle_command(event.arguments[0]):
            return False
        if self.command.ident == "choose":
            self.pick_random(event.target)

    def pick_random(self, target):
        separator = self.config["separator"]
        choices = self.command.content.split(f" {separator} ")
        self.bot.log_d(f"Choices: {choices}")
        if len(choices):
            choice = random.choice(choices)
            if choice:
                self.bot.say(target, choice)
